/*
   fanioctl.h - ioctl codes for fanio.sys driver

   I8kfanGUI V2.0
   Copyright(c) 2001-2003 Christian Diefer

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 2 as
   published by the Free Software Foundation.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __FANIOCTL_H__
#define __FANIOCTL_H__

#define FANIO_TYPE 40000

// The IOCTL function codes from 0x800 to 0xFFF are for customer use.

#define IOCTL_FANIO_SET_FAN_SPEED \
    CTL_CODE( FANIO_TYPE, 0x900, METHOD_BUFFERED, FILE_WRITE_ACCESS )

#define IOCTL_FANIO_GET_FAN_SPEED \
    CTL_CODE( FANIO_TYPE, 0x901, METHOD_BUFFERED, FILE_WRITE_ACCESS )

#define IOCTL_FANIO_GET_FAN_RPM \
    CTL_CODE( FANIO_TYPE, 0x902, METHOD_BUFFERED, FILE_WRITE_ACCESS )

#define IOCTL_FANIO_SET_FAN_SPEED_OLD \
    CTL_CODE( FANIO_TYPE, 0x903, METHOD_BUFFERED, FILE_WRITE_ACCESS )

#define IOCTL_FANIO_GET_CPU_SPEED \
    CTL_CODE( FANIO_TYPE, 0x904, METHOD_BUFFERED, FILE_WRITE_ACCESS )

#define IOCTL_FANIO_CHECK_SENSOR \
    CTL_CODE( FANIO_TYPE, 0x905, METHOD_BUFFERED, FILE_WRITE_ACCESS )

#define IOCTL_FANIO_SET_SENSOR_SPEED \
    CTL_CODE( FANIO_TYPE, 0x906, METHOD_BUFFERED, FILE_WRITE_ACCESS )

#define IOCTL_FANIO_GET_SENSOR_SPEED \
    CTL_CODE( FANIO_TYPE, 0x907, METHOD_BUFFERED, FILE_WRITE_ACCESS )

#define IOCTL_FANIO_GET_TEMP \
    CTL_CODE( FANIO_TYPE, 0x910, METHOD_BUFFERED, FILE_WRITE_ACCESS)

#define IOCTL_FANIO_GET_VERSION \
    CTL_CODE( FANIO_TYPE, 0x911, METHOD_BUFFERED, FILE_WRITE_ACCESS )

#define IOCTL_FANIO_GET_SYSTEM_INFO \
    CTL_CODE( FANIO_TYPE, 0x912, METHOD_BUFFERED, FILE_WRITE_ACCESS )

// ACPI ioctls
#define IOCTL_FANIO_ACPI_INFO \
    CTL_CODE( FANIO_TYPE, 0x913, METHOD_BUFFERED, FILE_WRITE_ACCESS )


#endif

